Gyet Co

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/gyet-co/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/gyet-co/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1759190400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://gyet.co.jp/wp/wp-content/uploads/2025/11/%EF%BC%88%E8%8B%B1%E6%96%87%EF%BC%89%EF%BC%88v2%EF%BC%89%E3%83%93%E3%83%83%E3%83%88%E3%82%B3%E3%82%A4%E3%83%B3%E3%81%AE%E8%B3%BC%E5%85%A5%E5%AE%8C%E4%BA%86%E3%81%AB%E9%96%A2%E3%81%99%E3%82%8B%E3%81%8A%E7%9F%A5%E3%82%89%E3%81%9B.pdf",
    "holding_balance": 118.4349,
    "holding_net_change": 5.85,
    "transaction_value_usd": 680000.0,
    "average_entry_value_usd": 116203.56,
    "transaction_value_calculated": false
  },
  {
    "date": 1762300800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://gyet.co.jp/wp/wp-content/uploads/2025/11/ir251105_en.pdf",
    "holding_balance": 124.8079,
    "holding_net_change": 6.37,
    "transaction_value_usd": 650000.0,
    "average_entry_value_usd": 101992.78,
    "transaction_value_calculated": false
  },
  {
    "date": 1775001600000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://gyet.co.jp/wp/wp-content/uploads/2026/03/ir260331a_en.pdf",
    "holding_balance": 0.0,
    "holding_net_change": -124.81,
    "transaction_value_usd": 8499131.6536,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/gyet-co/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    0.0
  ],
  [
    1779062400000,
    0.0
  ],
  [
    1779148800000,
    0.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/gyet-co/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    0.0
  ],
  [
    1779062400000,
    0.0
  ],
  [
    1779148800000,
    0.0
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/gyet-co/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "message": "Data unavailable for this company"
}
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/gyet-co/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "message": "Data unavailable for this company"
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/gyet-co/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "message": "Data unavailable for this company"
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/gyet-co/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.0,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}